
QGIS Application - Bug report #17915

QGIS3 Deleting geopackage layer from browser delete a wrong layer

2018-01-21 05:16 PM - Dominique Lyszczarz

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25811

Description

When using the browser to delete a layer from a geopackage database which contains several layers (using right click and delete

command) then it delete another layer of the database.

Related issues:

Related to QGIS Application - Bug report # 17646: Browser: deleting GeoPackag... Closed 2017-12-06

History

#1 - 2018-01-22 02:46 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

Some more details like a minimal test project with minimal a test gpkg data would be highly appreciated.

#2 - 2018-01-22 03:31 PM - Dominique Lyszczarz

- File Screenshoot.jpg added

- File test.gpkg added

- File test.qgs added

Please find in attachment a test project and geopackage. I also include a screenshoot that illustrate the delete action in the UI. In this example when trying

to delete "layer2" then "layer1" is deleting instead.

#3 - 2018-01-22 03:42 PM - Alessandro Pasotti

Thanks for the attachment, working on that.

#4 - 2018-01-22 05:30 PM - Alessandro Pasotti

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/6130

#5 - 2018-01-22 05:56 PM - Borys Jurgiel
https://github.com/qgis/QGIS/pull/6130


Does it also close #17646 ?

#6 - 2018-01-22 05:56 PM - Borys Jurgiel

- Related to Bug report #17646: Browser: deleting GeoPackage table removes the wrong table added

#7 - 2018-01-22 06:00 PM - Alessandro Pasotti

Yes, that seems like a duplicate

#8 - 2018-01-23 05:08 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

Fixed with commit:f69c1cfc496f63ca12151b447cf97fa38d4eb18c

Files

Screenshoot.jpg 15.5 KB 2018-01-22 Dominique Lyszczarz

test.qgs 3.05 KB 2018-01-22 Dominique Lyszczarz

test.gpkg 136 KB 2018-01-22 Dominique Lyszczarz
